Bug 836023 - [abrt] gtkpod-2.1.1-3.fc17: strcmp: Process /usr/bin/gtkpod was killed by signal 11 (SIGSEGV)
[abrt] gtkpod-2.1.1-3.fc17: strcmp: Process /usr/bin/gtkpod was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
abrt_hash:c4dfcfbc82ed750b5069b5cb177...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 17:46 EDT by laccaria.laccata
Modified: 2013-08-01 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.07 KB, text/plain)
2012-06-27 17:46 EDT, laccaria.laccata
no flags Details
File: maps (33.28 KB, text/plain)
2012-06-27 17:46 EDT, laccaria.laccata
no flags Details
File: dso_list (10.52 KB, text/plain)
2012-06-27 17:46 EDT, laccaria.laccata
no flags Details
File: build_ids (4.60 KB, text/plain)
2012-06-27 17:46 EDT, laccaria.laccata
no flags Details

  None (edit)
Description laccaria.laccata 2012-06-27 17:46:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gtkpod
crash_function: strcmp
executable:     /usr/bin/gtkpod
kernel:         3.4.3-1.fc17.i686
pid:            26368
pwd:            /home/megan
time:           Mon 25 Jun 2012 05:43:23 PM NDT
uid:            1000
username:       megan
xsession_errors: 

backtrace:      Text file, 84035 bytes
build_ids:      Text file, 4715 bytes
dso_list:       Text file, 10768 bytes
maps:           Text file, 34080 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/megan/2

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x14767b __strcmp_ssse3 libc.so.6 -
:240100b907309f8db24bfdb7d009f41f848441b8 0x316ac fuzzy_skip_prefix libgtkpod.so.1 -
:d34122f12dd42e5ace09329a11887977e33112b9 0x7fc8 - libsorttab_display.so -
:d34122f12dd42e5ace09329a11887977e33112b9 0x9d6b normal_sort_tab_page_add_track libsorttab_display.so -
:d34122f12dd42e5ace09329a11887977e33112b9 0xf21f sort_tab_widget_add_track libsorttab_display.so -
:d34122f12dd42e5ace09329a11887977e33112b9 0x9a44 normal_sort_tab_page_add_track libsorttab_display.so -
:d34122f12dd42e5ace09329a11887977e33112b9 0xf21f sort_tab_widget_add_track libsorttab_display.so -
:d34122f12dd42e5ace09329a11887977e33112b9 0x103d4 sorttab_display_select_playlist_cb libsorttab_display.so -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xfd3a g_cclosure_marshal_VOID__POINTER libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:240100b907309f8db24bfdb7d009f41f848441b8 0x10d44 gtkpod_set_current_playlist libgtkpod.so.1 -
:0b1b1d36278bcb462c8dee1cb560ec8e6862c014 0xcec8 - libplaylist_display.so -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x44a31 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x185af9 gtk_main_iteration libgtk-3.so.0 -
:240100b907309f8db24bfdb7d009f41f848441b8 0x1d595 - libgtkpod.so.1 -
:240100b907309f8db24bfdb7d009f41f848441b8 0x1ff46 gp_save_itdb libgtkpod.so.1 -
:240100b907309f8db24bfdb7d009f41f848441b8 0x20568 gp_eject_ipod libgtkpod.so.1 -
:0b1b1d36278bcb462c8dee1cb560ec8e6862c014 0xc33b - libplaylist_display.so -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186bba - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d0e73 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1846cc - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186850 gtk_main_do_event libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x1c5ed - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x45769 - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:caf8afa22a965590cef27101b8dcd185c1664bcc 0x5a54 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Francesca
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/megan/keyring-CydCz9
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=megan
:USERNAME=megan
:MAIL=/var/spool/mail/megan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/megan/.local/bin:/home/megan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/megan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1036
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/megan
:SHLVL=1
:LOGNAME=megan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3AEFdQX6hP,guid=b4b4af3402161cde74ab120d00000054
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/megan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-megan-oUBjok/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1040,unix/unix:/tmp/.ICE-unix/1040
:SSH_AUTH_SOCK=/run/user/megan/keyring-CydCz9/ssh
:GPG_AGENT_INFO=/run/user/megan/keyring-CydCz9/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-gtkpod.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=26368

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23076                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23076                23076                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/megan/.xsession-errors
:pos:	5427436
:flags:	02002
:2:/home/megan/.xsession-errors
:pos:	5427436
:flags:	02002
:3:socket:[1505155]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1505160]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[1505557]
:pos:	0
:flags:	02004002
:8:socket:[1505163]
:pos:	0
:flags:	04002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[1505563]
:pos:	0
:flags:	02004002
:12:socket:[1505564]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:/run/user/megan/gvfs/The%3F/iTunes_Control/iTunes/iTunesCDB.ext
:pos:	0
:flags:	01
:15:/dev/urandom
:pos:	0
:flags:	02000000
:16:socket:[1506544]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 93c51ff7-cc7a-4531-850c-faee3d10554c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4588.67
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4500  @ 2.30GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2300
:System Memory: 2901
:System Swap: 4959
:Vendor: TOSHIBA
:System: Satellite C650 PSC08C-01U019
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(6505:8288:4473:65310) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(32902:10818:4473:64992) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:64992) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5772:43:5199:29017) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4473:65310) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_francesca-lv_root / ext4 4096 4096 13091009 11705501 11574451 3276800 3118933 3118933
:/dev/sda1 /boot ext4 1024 1024 508644 404326 378726 128016 127663 127663
:/dev/mapper/vg_francesca-lv_home /home ext4 4096 4096 46477631 44935941 42609004 11640832 11606650 11606650
:

var_log_messages:
:Jun 25 17:10:40 Francesca yum[26134]: Installed: gtkpod-2.1.1-3.fc17.i686
:Jun 25 17:12:52 Francesca kernel: [280461.581708] gtkpod[26219]: segfault at 34306361 ip b76d2a94 sp bfee8f90 error 4 in libgtkpod.so.1.1.0[b76b2000+4f000]
:Jun 25 17:12:52 Francesca abrt[26247]: Saved core dump of pid 26219 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-06-25-17:12:52-26219 (65556480 bytes)
:Jun 25 17:16:19 Francesca abrt[26333]: Saved core dump of pid 26284 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-06-25-17:16:19-26284 (87191552 bytes)
:Jun 25 17:43:22 Francesca kernel: [282292.014869] gtkpod[26368]: segfault at 0 ip 4d20a67b sp bfe1971c error 4 in libc-2.15.so[4d0c3000+1a8000]
:Jun 25 17:43:23 Francesca abrt[26654]: Saved core dump of pid 26368 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-06-25-17:43:23-26368 (64798720 bytes)
Comment 1 laccaria.laccata 2012-06-27 17:46:10 EDT
Created attachment 594866 [details]
File: backtrace
Comment 2 laccaria.laccata 2012-06-27 17:46:13 EDT
Created attachment 594867 [details]
File: maps
Comment 3 laccaria.laccata 2012-06-27 17:46:15 EDT
Created attachment 594868 [details]
File: dso_list
Comment 4 laccaria.laccata 2012-06-27 17:46:17 EDT
Created attachment 594869 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-04 00:05:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:39:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.